
GammaLib - Action #763

Feature # 762 (Closed): Reorganize sky models

Rework GModelSky class and remove formerly derived classes GModelPointSource,

GModelExtendedSource and GModelDiffuseSource.

02/17/2013 01:17 PM - Knödlseder Jürgen

Status: Closed Start date: 02/17/2013

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 4.00 hours

Target version: 00-08-00   

Description

History

#1 - 02/17/2013 01:17 PM - Knödlseder Jürgen

- Estimated time set to 4.00

- Remaining (hours) set to 4.0

#2 - 02/17/2013 04:05 PM - Knödlseder Jürgen

- Assigned To set to Knödlseder Jürgen

#3 - 02/17/2013 06:43 PM - Knödlseder Jürgen

- Status changed from New to In Progress

- Start date set to 02/17/2013

- % Done changed from 0 to 90

- Remaining (hours) changed from 4.0 to 0.5

The GModelPointSource, GModelExtendedSource and GModelDiffuseSource classes have been removed, and GModelSky has been made

non-abstract. The GModelSky class has been modified to provide the same functionality than the former GModelPointSource,

GModelExtendedSource and GModelDiffuseSource classes. The unit test has also been adapted, and all tests are successful.

We still need to verify all scripts to see whether any of those make use of the removed classes.

#4 - 02/17/2013 07:09 PM - Knödlseder Jürgen

- Status changed from In Progress to Feedback

- % Done changed from 90 to 100

- Remaining (hours) changed from 0.5 to 0.0

All scripts have been tested using ./testall.sh. Several scripts needed update.

#5 - 12/03/2013 09:59 AM - Knödlseder Jürgen

- Status changed from Feedback to Closed
